Summary: The GNU data compression program.
Name: gzip
Version: 1.3
Release: 1.3.0
Copyright: GPL
Group: Applications/File
Source: ftp://prep.ai.mit.edu/pub/gnu/gzip-%{version}.tar.gz
Patch0:  gzip-1.3-1.2.4a-remnents-gd.diff
Patch1:  gzip-1.3-openbsd-owl-tmp-gd.diff
Prereq: /sbin/install-info
Requires: mktemp
Buildroot: /var/tmp/gzip-root

%description
The gzip package contains the popular GNU gzip data compression
program.  Gzipped files have a .gz extension.

Gzip should be installed on your Red Hat Linux system, because it is a
very commonly used data compression program.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# ./configure
# CFLAGS="$RPM_OPT_FLAGS" make
CFLAGS="$RPM_OPT_FLAGS" ./configure
make

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
make install prefix=$RPM_BUILD_ROOT/usr infodir=$RPM_BUILD_ROOT/usr/share/info \
	mandir=$RPM_BUILD_ROOT/usr/share/man
strip $RPM_BUILD_ROOT/usr/bin/gzip
mkdir -p $RPM_BUILD_ROOT/bin
mv -f $RPM_BUILD_ROOT/usr/bin/gzip $RPM_BUILD_ROOT/bin/gzip
rm -f $RPM_BUILD_ROOT/usr/bin/gunzip $RPM_BUILD_ROOT/usr/bin/zcat
ln -f $RPM_BUILD_ROOT/bin/gzip $RPM_BUILD_ROOT/bin/gunzip
ln -f $RPM_BUILD_ROOT/bin/gzip $RPM_BUILD_ROOT/bin/zcat
ln -sf ../../bin/gzip $RPM_BUILD_ROOT/usr/bin/gzip
ln -sf ../../bin/gunzip $RPM_BUILD_ROOT/usr/bin/gunzip
gzip -9nf $RPM_BUILD_ROOT/%{_infodir}/gzip.info*

for i in zcmp zdiff zforce zgrep zmore znew ; do
	sed -e "s|$RPM_BUILD_ROOT||g" < $RPM_BUILD_ROOT/usr/bin/$i > $RPM_BUILD_ROOT/usr/bin/.$i
	rm -f $RPM_BUILD_ROOT/usr/bin/$i
	mv $RPM_BUILD_ROOT/usr/bin/.$i $RPM_BUILD_ROOT/usr/bin/$i
	chmod 755 $RPM_BUILD_ROOT/usr/bin/$i
done

cat > $RPM_BUILD_ROOT/usr/bin/zless <<EOF
#!/bin/sh
/bin/zcat "\$@" | /usr/bin/less
EOF
chmod 755 $RPM_BUILD_ROOT/usr/bin/zless

%post
if [ -f %{_infodir}/gzip.info.gz ]; then
	/sbin/install-info %{_infodir}/gzip.info.gz %{_infodir}/dir 
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gzip.info.gz %{_infodir}/dir
fi

%files
%doc NEWS README
/bin/*
/usr/bin/*
%doc %{_mandir}/*/*
%doc %{_infodir}/gzip.info*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.

* Tue Oct 23 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.3, Release 1.1.1
  - Updated our ancient version of gzip with a new upstream version.
  - Consolidated all our old patches against 1.2.4a into Patch0.
  - Include patch from Solar Designer/Todd Miller.
  - $(manext) => 1.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.4a, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Tue Apr 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.4a, Release 1.0.4
  - i386 build fixes!

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- made install-info conditional on existence of *info.gz
